Bug 88071 - Disable sheet manipulation functions when in edit mode
Summary: Disable sheet manipulation functions when in edit mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Management
  Show dependency treegraph
 
Reported: 2015-01-05 21:16 UTC by Tim Lloyd
Modified: 2019-02-19 11:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Lloyd 2015-01-05 21:16:45 UTC
Open a calc doc
enter text into A2
tab to B2
enter text (DON'T PRESS ENTER OR TAB)
Click Insert and Row
the text in B2 does not move but the text in A2 is pushed down to A3

I was expecting the contents of A2 & B2 both to be pushed to A3 and B3

Discovered in Fedora 21 with 4.5 from the nightly builds

Version: 4.5.0.0.alpha0+
Build ID: ebfec3517d001f8aa8baaabde7c4af6b01347b95
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-06_00:52:12
Locale: en_AU

Plus XP & LO4.2.0.4
Comment 1 m.a.riosv 2015-01-05 23:27:02 UTC
Hi Tim,
because before enter the text in the cell I think it can't be moved, and insert doesn't automatically.
Pressing esc at the step to insert lets the cell empty.
Comment 2 Tim Lloyd 2015-01-07 21:14:21 UTC
If someone can advise whether this is a bug (enhancement) or not we can move forward.

This is something I did by mistake and noticed the odd behaviour. I can see there is a practical workaround so I am not troubled if this is closed :)
Comment 3 m.a.riosv 2015-01-08 02:39:59 UTC
Think yourself if you want it as enhancement, I think it's not a common situation.
Comment 4 Tim Lloyd 2015-01-11 23:33:40 UTC
I am going to flag this as a low level enhancement. I appreciate it is an unusual activity but it can happen.
Comment 5 Robinson Tryon (qubit) 2015-01-12 07:51:26 UTC
TESTING with Ubuntu Fourteen dot oh four and LO 4.4.0.2

(In reply to Tim Lloyd from comment #0)
> Open a calc doc
> enter text into A2
> tab to B2
> enter text (DON'T PRESS ENTER OR TAB)
> Click Insert and Row
> the text in B2 does not move but the text in A2 is pushed down to A3

CONFIRMED: Only the text in A2 is moved down

> I was expecting the contents of A2 & B2 both to be pushed to A3 and B3
> 

Yep, I can see how this behavior doesn't jibe with how we perceive items in boxes in the real world.

(In reply to m.a.riosv from comment #1)
> because before enter the text in the cell I think it can't be moved, and
> insert doesn't automatically.

I can believe that before we enter text into a cell, the editing region kind of "floats" above the cell. In fact we can see this more clearly if we do another test:

- Open Calc
- Put 'Foo' in A2 and 'Bar' in B2

   A    B
1
2 Foo  Bar
3

- Hit TAB to make sure the text is fully entered into the last cell
- Now click on B2 and type 'Baz' (AND DON'T PRESS ENTER or TAB)
- Click Insert -> Row

You'll now have the following

   A    B
1
2      Baz
3 Foo  Bar

Here's how I see the current paradigm:
- You have a big grid of cells, and one bucket
- If you click on a cell and start to enter text, you're really putting the text into this bucket that's in essence *hanging above* the cell.
- It's only once you hit ENTER or TAB that the bucket tips over and the value falls down into what's underneath it.
- Before you tip the bucket, anything done to the grid below (e.g. adding a row) only affects/moves the grid; it doesn't do anything to the bucket.

Do I like this paradigm? Well, I think it's more confusing than having the bucket move with the grid below whenever a row/column is added.

Status -> NEW

Handing this one to the UX Team.
Component -> ux-advise
Comment 6 Robinson Tryon (qubit) 2016-08-25 04:21:38 UTC Comment hidden (obsolete)
Comment 7 Heiko Tietze 2017-08-21 14:32:36 UTC
Changing the insert row/col behavior doesn't fix the issue. Rather the workflow is error-prone when a user can modify the sheet while she is in edit mode. So the solution is simply to disable the sheet features, which is by the way how it works in Excel.

Changing the summary from "calc - inconsistent behaviour when inserting row before pressing enter"
Comment 8 QA Administrators 2018-08-22 02:37:09 UTC Comment hidden (obsolete)
Comment 9 Roman Kuznetsov 2019-02-19 11:23:01 UTC
still repro in

Version: 6.2.1.1
Build ID: 757c58e8cb70b2982843211a54750fb3cd79acd5
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded